Bug 824218 - Review Request: polly - Linux Twitter client designed for multiple columns of multiple accounts [NEEDINFO]
Review Request: polly - Linux Twitter client designed for multiple columns of...
Status: CLOSED DUPLICATE of bug 1026042
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 22:30 EDT by Adrian Alves
Modified: 2013-11-04 23:31 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-02 19:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michele: needinfo? (aalves)
michele: needinfo? (aalves)


Attachments (Terms of Use)

  None (edit)
Description Adrian Alves 2012-05-22 22:30:34 EDT
Spec URL: http://alvesadrian.fedorapeople.org/polly.spec
SRPM URL: http://alvesadrian.fedorapeople.org/polly-0.93.4-1.fc16.src.rpm
Description: Polly is a Linux Twitter client designed for managing multiple columns of multiple accounts, purposefully keeping them separated instead of merged.
Fedora Account System Username: alvesadrian
Comment 1 Ben Rosser 2012-05-29 14:03:18 EDT
Did an initial (informal) review of this. Rpmlint output is below:

polly.src:43: W: macro-in-comment %{buildroot}
polly.src:43: W: macro-in-comment %{_datadir}
polly.src:43: W: macro-in-comment %{name}
polly.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 3)
polly.src: W: invalid-url Source0: https://launchpad.net/polly/1.0/pre-alpha-2/+download/Polly-0.93.4 (pre-alpha 3.4).tar.gz HTTP Error 404: Not Found
polly.noarch: E: explicit-lib-dependency python-httplib2
polly.noarch: W: no-documentation
polly.noarch: W: no-manual-page-for-binary polly
polly.noarch: E: invalid-desktopfile /usr/share/applications/polly.desktop value "GTK;Network" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character

The macro-in-comment stuff can be ignored, I think. However, the line that's commented was a desktop-file-validate command, and that command would otherwise cause the build process to fail because the desktop file is invalid. Because of that.. well, refer to https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files Desktop files MUST be formatted properly, and desktop-file-validate (or -install) must be ran on them. So I think you either need to patch this yourself or submit a patch upstream.

The lack of documentation and manual page is also a problem, but.. if there isn't any upstream, there's not much to do about it, unless you feel like writing some yourself.

Looking at the spec file, you are also not taking ownership of a directory (specifically, the one in %python_sitelib):

%files
%{_bindir}/polly
%{_datadir}/polly/
%python_sitelib/polly/*
%python_sitelib/%{upsname}-%{version}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gconf/schemas/%{name}.schemas
%{_datadir}/icons/*

Something maybe to be concerned about is that the build process is throwing a *lot* of warnings when installing schemas. I'm not sure if anything can be done about that, or indeed if it's actually a problem, but I thought I'd point it out. Here's my rpmbuild output: http://fpaste.org/D8Ho/
Comment 2 Adrian Alves 2012-06-11 23:04:14 EDT
(In reply to comment #1)
> Did an initial (informal) review of this. Rpmlint output is below:
> 
> polly.src:43: W: macro-in-comment %{buildroot}
> polly.src:43: W: macro-in-comment %{_datadir}
> polly.src:43: W: macro-in-comment %{name}
> polly.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 3)
> polly.src: W: invalid-url Source0:
> https://launchpad.net/polly/1.0/pre-alpha-2/+download/Polly-0.93.4
> (pre-alpha 3.4).tar.gz HTTP Error 404: Not Found
> polly.noarch: E: explicit-lib-dependency python-httplib2
> polly.noarch: W: no-documentation
> polly.noarch: W: no-manual-page-for-binary polly
> polly.noarch: E: invalid-desktopfile /usr/share/applications/polly.desktop
> value "GTK;Network" for string list key "Categories" in group "Desktop
> Entry" does not have a semicolon (';') as trailing character
> 
> The macro-in-comment stuff can be ignored, I think. However, the line that's
> commented was a desktop-file-validate command, and that command would
> otherwise cause the build process to fail because the desktop file is
> invalid. Because of that.. well, refer to
> https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files Desktop
> files MUST be formatted properly, and desktop-file-validate (or -install)
> must be ran on them. So I think you either need to patch this yourself or
> submit a patch upstream.
> 
> The lack of documentation and manual page is also a problem, but.. if there
> isn't any upstream, there's not much to do about it, unless you feel like
> writing some yourself.
> 
> Looking at the spec file, you are also not taking ownership of a directory
> (specifically, the one in %python_sitelib):
> 
> %files
> %{_bindir}/polly
> %{_datadir}/polly/
> %python_sitelib/polly/*
> %python_sitelib/%{upsname}-%{version}.*
> %{_datadir}/applications/%{name}.desktop
> %{_datadir}/gconf/schemas/%{name}.schemas
> %{_datadir}/icons/*
> 
> Something maybe to be concerned about is that the build process is throwing
> a *lot* of warnings when installing schemas. I'm not sure if anything can be
> done about that, or indeed if it's actually a problem, but I thought I'd
> point it out. Here's my rpmbuild output: http://fpaste.org/D8Ho/
Added %%files fixes
Spec URL: http://alvesadrian.fedorapeople.org/polly.spec
SRPM URL: http://alvesadrian.fedorapeople.org/polly-0.93.4-2.fc16.src.rpm
Comment 3 Mario Blättermann 2012-09-16 12:50:47 EDT
Scratch build for f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4488148

Build fails, this is from build.log:

RPM build errors:
/var/tmp/rpm-tmp.KcwIBZ: line 39: gconftool-2: command not found

You have to add GConf2 to BuildRequires.


For a better readability, you might shrink the %files list, as follows:

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gconf/schemas/%{name}.schemas
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}/iconsets
%{python_sitelib}/*.egg-info
%{python_sitelib}/%{name}

This covers all needed directory ownerships and avoid undesired owning of directories from other packages.
For the icons you would need hicolor-icon-theme, but this is a requirement of gtk2 anyway. For updating the icon cache, a scriptlet is mandatory: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Comment 4 Adrian Alves 2012-09-16 19:42:31 EDT
Added %%files fixes and gconf2 dependencie
Spec URL: http://alvesadrian.fedorapeople.org/polly.spec
SRPM URL: http://alvesadrian.fedorapeople.org/polly-0.93.4-2.fc16.src.rpm
Comment 5 Mario Blättermann 2012-09-17 13:37:52 EDT
(In reply to comment #3)
> For updating the icon cache, a scriptlet is mandatory:
> http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Comment 7 Mario Blättermann 2012-09-18 14:15:34 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4499545

It fails again. From build.log:

+ export GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults
+ GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults
+ gconftool-2 --makefile-install-rule share/gconf/schemas/polly.schemas
Attached schema `/schemas/apps/polly/account/id' to key `/apps/polly/account/id'
WARNING: failed to install schema `/schemas/apps/polly/account/id', locale `C': Unable to store a value at key '/schemas/apps/polly/account/id', as the configuration server has no writable databases. There are some common causes of this problem: 1) your configuration path file /etc/gconf/2/path doesn't contain any databases or wasn't found 2) somehow we mistakenly created two gconfd processes 3) your operating system is misconfigured so NFS file locking doesn't work in your home directory or 4) your NFS client machine crashed and didn't properly notify the server on reboot that file locks should be dropped. If you have two gconfd processes (or had two at the time the second was launched), logging out, killing all copies of gconfd, and logging back in may help. If you have stale locks, remove ~/.gconf*/*lock. Perhaps the problem is that you attempted to use GConf from two machines at once, and ORBit still has its default configuration that prevents remote CORBA connections - put "ORBIIOPIPv4=1" in /etc/orbitrc. As always, check the user.* syslog for details on problems gconfd encountered. There can only be one gconfd per home directory, and it must own a lockfile in ~/.gconfd and also lockfiles in individual storage locations such as ~/.gconf
Attached schema `/schemas/apps/polly/account/interval' to key `/apps/polly/account/interval'
WARNING: failed to install schema `/schemas/apps/polly/account/interval', locale `C': Unable to store a value at key '/schemas/apps/polly/account/interval', as the configuration server has no writable databases. There are some common causes of this problem: 1) your configuration path file /etc/gconf/2/path doesn't contain any databases or wasn't found 2) somehow we mistakenly created two gconfd processes 3) your operating system is misconfigured so NFS file locking doesn't work in your home directory or 4) your NFS client machine crashed and didn't properly notify the server on reboot that file locks should be dropped. If you have two gconfd processes (or had two at the time the second was launched), logging out, killing all copies of gconfd, and logging back in may help. If you have stale locks, remove ~/.gconf*/*lock. Perhaps the problem is that you attempted to use GConf from two machines at once, and ORBit still has its default configuration that prevents remote CORBA connections - put "ORBIIOPIPv4=1" in /etc/orbitrc. As always, check the user.* syslog for details on problems gconfd encountered. There can only be one gconfd per home directory, and it must own a lockfile in ~/.gconfd and also lockfiles in individual storage locations such as ~/.gconf
Attached schema `/schemas/apps/polly/entry/check' to key `/apps/polly/entry/check'
WARNING: failed to install schema `/schemas/apps/polly/entry/check', locale `C': Unable to store a value at key '/schemas/apps/polly/entry/check', as the configuration server has no writable databases. There are some common causes of this problem: 1) your configuration path file /etc/gconf/2/path doesn't contain any databases or wasn't found 2) somehow we mistakenly created two gconfd processes 3) your operating system is misconfigured so NFS file locking doesn't work in your home directory or 4) your NFS client machine crashed and didn't properly notify the server on reboot that file locks should be dropped. If you have two gconfd processes (or had two at the time the second was launched), logging out, killing all copies of gconfd, and logging back in may help. If you have stale locks, remove ~/.gconf*/*lock. Perhaps the problem is that you attempted to use GConf from two machines at once, and ORBit still has its default configuration that prevents remote CORBA connections - put "ORBIIOPIPv4=1" in /etc/orbitrc. As always, check the user.* syslog for details on problems gconfd encountered. There can only be one gconfd per home directory, and it must own a lockfile in ~/.gconfd and also lockfiles in individual storage locations such as ~/.gconf
Attached schema `/schemas/apps/polly/entry/override' to key `/apps/polly/entry/override'


Seems to be gconftool is unable to install schema files. My experience in gconf stuff is poor, I cannot say what fails in particular. Maybe you should read the appropriate part of the packaging guidelines:
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
Comment 8 Mario Blättermann 2012-10-16 13:44:31 EDT
Any news...?
Comment 9 Adrian Alves 2012-10-23 19:04:38 EDT
Any ideas about how we can fix this? still the issue with koji?
Comment 10 Matthias Runge 2012-10-24 05:44:50 EDT
Something completely different:

rpm -qf /usr/share/icons/hicolor
hicolor-icon-theme-0.12-4.fc17.noarch
fedora-logos-17.0.3-1.fc17.noarch
 -> you must require (I suggest hicolor-icon-theme) for using /usr/share/icons/hicolor

just a guess on that gconf-error: you're trying to modify the gconf database of the koji server, there must be an option to specify that. And also you can't be the only person hitting that issue.

Another issue: python-gconf is not available (at in rawhide and f17)
You might want to fix that issue first...
Comment 11 Mario Blättermann 2012-10-30 16:36:31 EDT
Requires: python-gtk2

This doesn't exist for Fedora, and we don't have a package which provides it virtually. We have pygtk2 only.

(In reply to comment #10)
>  -> you must require (I suggest hicolor-icon-theme) for using
> /usr/share/icons/hicolor

Not needed at all. Pygtk2 depends on gtk2, and gtk2 depends on hicolor-icon-theme anyway.
Comment 12 Jason Tibbitts 2013-06-03 16:29:29 EDT
There hasn't been a buildable package in this ticket for at least eight months; I guess this should just be closed out unless a reviewable package is posted soon.
Comment 13 Conscious User 2013-07-30 10:55:20 EDT
Hi, Polly developer here! I have zero experience with RPM packaging, but would like to know what I can do to help. What are the current blockers?
Comment 14 Matthias Runge 2013-07-30 14:25:12 EDT
Conscious User: Thank you for popping up. Currently, it looks like the submitter was not able to submit a buildable package. 
Best thing would be to wait for Adrian to explain, how he'd like to proceed here. This was requested two months ago.
Comment 15 Adrian Alves 2013-07-30 18:41:34 EDT
Sorry I been busy with my job didnt get the chance to finish with this package if someone wants to continue is ok from me if not I will build a package for this in 3 or 4 weeks when my job allow me
Comment 16 Michele Baldessari 2013-09-08 10:43:47 EDT
Hi all,

I am using polly so I've cleaned up Adrian's package and fixed the remaining issues. 
Namely:
- Fix the dependencies that do not exist in rawhide
- Removed a couple of svg files related to themes that do not exist in Fedora
- Added python-dbus as it was missing
- New upstream
- Added manpage to rpm
- Removed python-httlib2 explicit dependency
- Fixed gconf schema installation paths

Here are both src.rpm and noarch.rpm:
http://acksyn.org/files/polly/polly-0.93.10-1.fc21.src.rpm
http://acksyn.org/files/polly/polly-0.93.10-1.fc21.noarch.rpm

Here is a successful scratch build of it:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5910123

rpmlint has one warning which is due to spaces being encoded as %20 in URL vs downloaded file:
$ rpmlint SPECS/polly.spec RPMS/noarch/polly-0.93.10-1.fc20.noarch.rpm 
  SRPMS/polly-0.93.10-1.fc20.src.rpm 
SPECS/polly.spec: W: invalid-url Source0: https://launchpad.net/polly/1.0/pre-alpha-2/+download
/Polly-0.93.10 (pre-alpha 3.10).tar.gz HTTP Error 404: Not Found
polly.src: W: invalid-url Source0: https://launchpad.net/polly/1.0/pre-alpha-2/+download/Polly-
0.93.10 (pre-alpha 3.10).tar.gz HTTP Error 404: Not Found
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

I ran a licensecheck on the source tree and confirm everything is GPL3 (or later) with the 
exception of two MIT/X11 files:
$ licensecheck -r . |grep -v "GPL (v3"
./src/polly/external/oauth2.py: MIT/X11 (BSD like)
./src/polly/external/wraplabel.py: MIT/X11 (BSD like)

MIT/X11 is compatible with GPL3 so we should be good on that front as well.

I've tested a clean install with a new user and things work properly.

I am willing to take over this one if everyone is ok with that.

regards,
Michele
Comment 17 Matthias Runge 2013-09-09 02:54:02 EDT
Michele,

thank you for continuing this.

I'd recommend to wait for two weeks (with asking again in one week), and then to close this request, to open your own.

Please provide a direct link to the spec file. links to spec and to srpm are required, the final rpm is to be build via buildsystem.

In general, when looking for a reviewer, it helps a lot to review other's peoples packages.
Comment 18 Michele Baldessari 2013-09-25 07:07:20 EDT
Hi Adrian,

are you still interested in this? See my comment #16

Thanks,
Michele
Comment 19 Michele Baldessari 2013-10-05 06:17:10 EDT
Ping Adrian?
Comment 20 Michele Baldessari 2013-11-02 19:31:05 EDT
Hi Adrian,

after about two months without feedback, I am closing this one and will open
a fresh review request. Adrian, if you're still interested in landing a
hand, drop me a line please.

regards,
Michele
Comment 21 Michele Baldessari 2013-11-02 19:39:54 EDT
FYI: here is the new request https://bugzilla.redhat.com/show_bug.cgi?id=1026042
Comment 22 Christopher Meng 2013-11-04 23:31:03 EST

*** This bug has been marked as a duplicate of bug 1026042 ***

Note You need to log in before you can comment on or make changes to this bug.